#include "xgputexturesizestack3d.h"

XGpuTextureSizeStack3D::XGpuTextureSizeStack3D()
    : XAsset()
    , mWidth(0)
    , mHeight(0)
    , mDepth(0)
{
    SetName("GPU Texture Size Stack 3D");
}

void XGpuTextureSizeStack3D::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGpuTextureSizeStack3D::ParseData
}

void XGpuTextureSizeStack3D::Clear()
{
    mWidth = 0;
    mHeight = 0;
    mDepth = 0;
}
